﻿/* _notifications */

#notification-container {
    display: block;
    position: fixed;
    top: 90px;
    right: 10px;
    z-index: 99999999;
}

._notification {
    display: block;
    position: relative;
    padding: 15px 15px 15px 60px;
    overflow: hidden;
    max-width: 400px;
    min-width: 270px;
    border-radius: 4px;
    box-shadow: 0 0 12px #999;
    color: #fff;
    -webkit-animation: show-_notification 4s ease-out;
    animation: show-_notification 4s ease-out;
}

._notification-close {
    padding: 0;
    cursor: pointer;
    background: none;
    border: 0;
    outline: none;
    -webkit-appearance: none;
    position: absolute;
    top: 5px;
    right: 10px;
    color: #fff;
    text-shadow: 0 1px 0 #ddd;
}

    ._notification-close::before {
        font-family: 'Font Awesome 5 Free';
        font-size: 12px;
        font-weight: 900;
        content: '\f00d';
    }

    ._notification-close:hover {
        color: #666;
    }

._notification-title {
    font-size: 1.1em;
    font-weight: 900;
}

._notification-success::before,
._notification-error::before,
._notification-info::before,
._notification-warning::before {
    font-family: 'Font Awesome 5 Free';
    font-size: 35px;
    display: block;
    position: absolute;
    left: 15px;
    top: 50%;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
}

._notification-success {
    background-color: #28a745;
}

    ._notification-success::before {
        content: "\f058";
        font-weight: 400;
    }

._notification-error {
    background-color: #e85656;
}

    ._notification-error::before {
        content: "\f057";
        font-weight: 400;
    }

._notification-info {
    background-color: #2dacd1;
}

    ._notification-info::before {
        content: "\f05a";
        font-weight: 900;
    }

._notification-warning {
    background-color: #dfb81c;
}

    ._notification-warning::before {
        content: "\f071";
        font-weight: 900;
    }

@-webkit-keyframes show-_notification {
    0% {
        /*opacity: 0;*/
        -webkit-transform: translate(0, -100%);
    }

    10% {
        /*opacity: 1;*/
        -webkit-transform: translate(0, 0);
    }

    90% {
        /*opacity: 1;*/
        -webkit-transform: translate(0, 0);
    }

    100% {
        /*opacity: 0;*/
        -webkit-transform: translate(0, -100%);
    }
}

@keyframes show-_notification {
    0% {
        /*opacity: 0;*/
        -webkit-transform: translate(0, -100%);
        transform: translate(0, -100%);
    }

    10% {
        /*opacity: 1;*/
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0);
    }

    90% {
        /*opacity: 1;*/
        -webkit-transform: translate(0, 0);
        transform: translate(0, 0);
    }

    100% {
        /*opacity: 0;*/
        -webkit-transform: translate(0, -100%);
        transform: translate(0, -100%);
    }
}
